> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Profile Attributes (Comms)

> A `PUT` to the `/profiles/{profileId}/attributes/comms` endpoint allows your application to get the Profiles Attributes relating to the Profiles Communications preferences.



## OpenAPI

````yaml put /v3/profiles/{profile}/attributes/comms
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/attributes/comms:
    put:
      tags:
        - Profile Comms Attribute
      summary: Edit Profile Attributes (Comms)
      description: >-
        A `PUT` to the `/profiles/{profileId}/attributes/comms` endpoint allows
        your application to get the Profiles Attributes relating to the Profiles
        Communications preferences.
      operationId: profileCommsAttribute.update
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProfileCommsAttribute'
      responses:
        '200':
          description: '`ProfileCommsAttribute`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProfileCommsAttribute'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateProfileCommsAttribute:
      type: object
      properties:
        email_optout:
          type:
            - boolean
            - 'null'
        push_optout:
          type:
            - boolean
            - 'null'
        sms_optout:
          type:
            - boolean
            - 'null'
        post_optout:
          type:
            - boolean
            - 'null'
        phone_optout:
          type:
            - boolean
            - 'null'
        email_bounced:
          type: boolean
        push_bounced:
          type: boolean
        sms_bounced:
          type: boolean
        post_bounced:
          type: boolean
        phone_bounced:
          type: boolean
        sms_promo:
          type: boolean
        push_promo:
          type: boolean
        email_promo:
          type: boolean
        post_promo:
          type: boolean
        phone_promo:
          type: boolean
        email_discover:
          type: boolean
        email_benefits:
          type: boolean
        email_reminders:
          type: boolean
        email_account:
          type: boolean
        email_bookings:
          type: boolean
        email_feedback:
          type: boolean
        email_location:
          type: boolean
        email_service:
          type: boolean
        sms_discover:
          type: boolean
        sms_benefits:
          type: boolean
        sms_reminders:
          type: boolean
        sms_account:
          type: boolean
        sms_bookings:
          type: boolean
        sms_feedback:
          type: boolean
        sms_location:
          type: boolean
        sms_service:
          type: boolean
        push_discover:
          type: boolean
        push_benefits:
          type: boolean
        push_reminders:
          type: boolean
        push_account:
          type: boolean
        push_bookings:
          type: boolean
        push_feedback:
          type: boolean
        push_location:
          type: boolean
        push_service:
          type: boolean
        phone_discover:
          type: boolean
        phone_benefits:
          type: boolean
        phone_reminders:
          type: boolean
        phone_account:
          type: boolean
        phone_bookings:
          type: boolean
        phone_feedback:
          type: boolean
        phone_location:
          type: boolean
        phone_service:
          type: boolean
        post_discover:
          type: boolean
        post_benefits:
          type: boolean
        post_reminders:
          type: boolean
        post_account:
          type: boolean
        post_bookings:
          type: boolean
        post_feedback:
          type: boolean
        post_location:
          type: boolean
        post_service:
          type: boolean
        email_verification:
          type: string
          enum:
            - not_sent
            - sent
            - delivered
            - undelivered
            - failed
            - verified
        sms_verification:
          type: string
          enum:
            - not_sent
            - sent
            - delivered
            - undelivered
            - failed
            - verified
        post_verification:
          type: string
          enum:
            - not_sent
            - sent
            - delivered
            - undelivered
            - failed
            - verified
        phone_verification:
          type: string
          enum:
            - not_sent
            - sent
            - delivered
            - undelivered
            - failed
            - verified
        email_consent_updated_at:
          type:
            - string
            - 'null'
          format: date-time
        sms_consent_updated_at:
          type:
            - string
            - 'null'
          format: date-time
        terms_accepted_at:
          type:
            - string
            - 'null'
          format: date-time
        terms_accepted_version:
          type:
            - string
            - 'null'
      title: UpdateProfileCommsAttribute
    ProfileCommsAttribute:
      type: array
      items: {}
      title: ProfileCommsAttribute
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````